{
  "$id": "urn:mars:schema:v1:siws-verify-response",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "description": "Response body for a successful SIWS verification.",
  "properties": {
    "expiresAtMs": {
      "format": "int64",
      "type": "integer"
    },
    "hmrDid": {
      "type": "string"
    },
    "rootDid": {
      "type": "string"
    },
    "rootKind": {
      "type": "string"
    },
    "sessionExpiresAtMs": {
      "format": "int64",
      "type": "integer"
    },
    "sessionToken": {
      "type": "string"
    },
    "signerPublicKey": {
      "type": "string"
    }
  },
  "required": [
    "hmrDid",
    "rootDid",
    "rootKind",
    "signerPublicKey",
    "expiresAtMs",
    "sessionToken",
    "sessionExpiresAtMs"
  ],
  "title": "SiwsVerifyResponse",
  "type": "object"
}
